Subject: RE: What's the current status of setup.*.exe?
From: "robertc" <[email-masked]>
To: <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>
Date: Sat, 8 Jun 2002 00:55:20 +1000

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of 
> [email-masked]
> Sent: Friday, 7 June 2002 7:26 PM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: Re: What's the current status of setup.*.exe?
> 
> 
> Email 3 of 3. Brand new download and installation using 
> 2.249.2.1 after
> clearing everything including registry entries.
> 
> Download and Install from Internet
> c:\Cygwin + All + Unix
> 
> Infelicity 1. The default offering for the name of the installation
> directory is "C:\cygwin". As we are occasionally reminded, 
> the name of the
> software is Cygwin, not CygWin or cygwin or .... I guess in 
> this context the
> lc/uc distinction is not critical, but could the default name 
> be altered in
> setup.exe?

Yes, patches accepted.
 
> c:\WINDOWS\Desktop

Urrgh. Please don't do this. Choose a dedicated directory for your
package dir. 

> Direct
> Choose ftp://mirrors.rcn.net
> Click whirly near All-Default so that it reads All-Install
> Click View
> 
> Painfully click all the Src? installation boxes including 
> that for setup
> (but leaving all of compface, keychain, regex as "n/a" to match Bin?)
>
> Click Next
> 
> Everything whizzes away just fine, but surprisingly ...
> 
> Error 1: ... the download stage closes with the msgbox 
> "Download Incomplete/
> Try again? Yes/No" displayed. I click No.
> 
> Then installation commences.
> 
> Everything whizzes along just fine until
> 
> Error 2: "Warning - deleting 
> c:\Cygwin/usr/src/expect-20010117-1/tcl so I
> can make a directory there". This phenomenon has been 
> described much better
> than I can do so at
> 
> http://cygwin.com/ml/cygwin/2002-05/msg00720.html
> 
> Error 3: Something a bit weird happened apparently while installing
> /usr/src/src/sed-3.02 [that was what was displayed in the 
> progress window]
> with the display of
> 
> "Cant open (null) for reading. No such file"
> 
> but actually I think this was probably something related to 
> the installation
> of the pesky src files for setup, since this same message 
> makes a chronic
> appearance at this stage, whenever an installation/upgrade is 
> attempted.
> 
> Everything works fine up to the "Create 2 icons?" stage and 
> thereafter, but
> ...
> 
> Error 4: ... the installation is finally completed with the 
> diplayed message
> 
> Installation Incomplete. Check /setup.log.full for details.
> 
> HTH.
> 
> Fergus
> 
> Both setup.log and setup.log.full are incredibly long. Here are some
> relevant (?) lines from setup.log:

Please bz2 and post the full files. We may find something more useful in
them. Certainly the incomplete download issue isn't displayed there.

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/